Page MenuHomePhabricator

Argument 2 passed to Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup::__construct() must implement interface Wikibase\Lib\Store\Sql\PageTableEntityQuery, MediaWiki\Storage\NameTableStore given in /srv/mediawiki/php-1.32.0-wmf.26/extensions/WikibaseQualityConstraints/src/ServiceWiring.php on line 254
Closed, ResolvedPublic

Description

Error

Request ID: AWaH0llmOf1_EDXpgw3k

message
Argument 2 passed to Wikibase\Lib\Store\Sql\WikiPageEntityMetaDataLookup::__construct() must implement interface Wikibase\Lib\Store\Sql\PageTableEntityQuery, MediaWiki\Storage\NameTableStore given in /srv/mediawiki/php-1.32.0-wmf.26/extensions/WikibaseQualityConstraints/src/ServiceWiring.php on line 254
trace
n/a

Impact

High volume of fatals in logstash immediately upon promoting group1 wikis to 1.32.0-wmf.26

Notes

Event Timeline

mmodell triaged this task as Unbreak Now! priority.Oct 18 2018, 3:41 PM
mmodell created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 18 2018, 3:41 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes, Aklapper. · View Herald Transcript
Addshore claimed this task.Oct 18 2018, 4:02 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 18 2018, 4:02 PM

Change 468351 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/468351

Change 468352 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.26] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/468352

having T206164 picked up sooner would have prevented this.
Set it to high prio

Change 468352 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.32.0-wmf.26] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/468352

Mentioned in SAL (#wikimedia-operations) [2018-10-18T16:55:45Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.26/extensions/WikibaseQualityConstraints/src/ServiceWiring.php: sync https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/WikibaseQualityConstraints/+/468352/ refs T207394 (duration: 00m 54s)

Change 468351 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix WikiPageEntityMetaDataLookup construction

https://gerrit.wikimedia.org/r/468351

mmodell closed this task as Resolved.Oct 18 2018, 5:06 PM

Fixed in wmf.26, thanks @Addshore!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM